<?php

session_start();

$getBuscar = filter_input_array(INPUT_POST, FILTER_DEFAULT);

$setBuscar = array_map("strip_tags", $getBuscar);

$buscar = array_map("trim", $setBuscar);



$buscar['orcamento_data'] = date('Y-m-d H:i:s');



$action = $buscar['action'];

$jSon = array();



unset($buscar['action']);





if ($action):

    require ('../../../_app/Config.inc.php');

    $Create = new Create;

    $Read = new Read;

    $Upload = new Upload('../../uploads/buy/');

endif;



switch ($action):

    case 'upload':

        if (empty($buscar['categoria_id']) || empty($buscar['subcategoria_id'])):

            $jSon['error'] = ['Os campos <b>Categoria</b> e <b>Subcategoria</b> são obrigatórios', 'alert'];

        elseif (empty($buscar['orcamento_titulo'])):

            $jSon['error'] = ['O campo <b>Produto</b> é obrigatório', 'alert'];

        elseif (!empty($_SESSION['userlogin'])):

            $jSon['result'] = 0;



            if (isset($_FILES['orcamento_anexo_1']['tmp_name'])):

                $Upload->Image($_FILES['orcamento_anexo_1']);

                $buscar['orcamento_anexo_1'] = $Upload->getResult();

                if($Upload->getError()):

                    $jSon['error'] = $Upload->getError();

                    $jSon['result'] = 1;

                endif;

            endif;



            if (empty($json['result']) && $jSon['result'] == 1):

                $jSon['error'] = [$jSon['error'], 'error'];

            else:

                $estado = $buscar['estado_id'];

                $cidade = $buscar['cidade_id'];

                

                $buscar['usuario_id'] = $_SESSION['userlogin']['usuario_id'];

                $Create->ExeCreate("tp_orcamento", $buscar);

                $orcamento_id = $Create->getResult();



                $Read->FullRead("SELECT u.usuario_id, u.usuario_nome, u.usuario_email, u.usuario_tipo, u.usuario_fantasia FROM tp_creditos c JOIN app_subcategorias s ON s.subcategoria_id = c.subcategoria_id JOIN tp_usuarios u ON c.usuario_id = u.usuario_id WHERE c.credito_status = 0 AND c.credito_data_fim > now() AND c.subcategoria_id = :subcat", "subcat={$buscar['subcategoria_id']}");

                foreach ($Read->getResult() as $usuario):

                    extract($usuario);

                    if ($usuario_id != $buscar['usuario_id']):

                        $orcamento['orcamento_id'] = $orcamento_id;

                        $orcamento['usuario_id'] = $buscar['usuario_id'];

                        $orcamento['empresa_id'] = $usuario_id;

                        $orcamento['orca_emp_data'] = date('Y-m-d H:i:s');

                        $Create->ExeCreate("tp_orcamento_empresa", $orcamento);



                        $email['Assunto'] = "Nova solicitação de compra no " . SITENAME;

                        $email['Mensagem'] = "<img src=\"" . HOME . "/img/logo.png\" align=\"center\"><hr><h3>Olá, {$usuario_nome},</h3> <br> Temos novidades para você:<br><br>Tem gente querendo comprar!!!<br><br><b>Comprador: {usuario}.<br><br><br>Atenciosamente,<br><br>Equipe " . SITENAME . "<br><br><i><small>Não é necessário responder a esse e-mail.</small></i>";

                        $email['DestinoNome'] = $usuario_nome;

                        $email['DestinoEmail'] = $usuario_email;

                        $email['RemetenteNome'] = 'Equipe INEXnet';

                        $email['RemetenteEmail'] = 'sac@inexnet.com.br';

                        $SendMail = new Email;

                        $SendMail->Enviar($email);

                        $jSon['email'] = WSErro($SendMail->getError()[0], $SendMail->getError()[1]);

                    endif;

                endforeach;

                $jSon['error'] = ['<h3>Solicitação Realizada com Sucesso!</h3>', 'accept'];

                $jSon['cont'] = $Read->getRowCount();





                $jSon['cadastro'] = $Create->getResult();



            endif;

        else:

            $jSon['error'] = ['Sessão não iniciada','login'];

        endif;

        break;



    default :

        $jSon['error'] = "Erro ao selecionar Ação!";

endswitch;



echo json_encode($jSon);

?>

